org.eclipse.net4j.util.collection

## Class Triplet<T1,T2,T3>

- java.lang.Object
- - org.eclipse.net4j.util.collection.Pair<T1,T2>
  - - org.eclipse.net4j.util.collection.Triplet<T1,T2,T3>

-     public class Triplet<T1,T2,T3>
      extends Pair<T1,T2>

  Since:
    3.0
  Author:
    Caspar De Groot

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Triplet()`
    `Triplet(T1 element1, T2 element2, T3 element3)`
    `Triplet(Triplet<T1,T2,T3> source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `T3` | `getElement3()`
    `int` | `hashCode()`
    `void` | `setElement3(T3 element3)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.net4j.util.collection.Pair

      `copy, create, create, getElement1, getElement2, setElement1, setElement2`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Triplet

          public Triplet()

    - #### Triplet

          public Triplet(T1 element1,
                         T2 element2,
                         T3 element3)

    - #### Triplet

          public Triplet(Triplet<T1,T2,T3> source)

  - ### Method Detail

    - #### getElement3

          public final T3 getElement3()

    - #### setElement3

          public void setElement3(T3 element3)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Pair<T1,T2>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pair<T1,T2>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pair<T1,T2>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html